Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/import/datev

Import postings from Datev

Imports postings from a Datev "Buchungsstapel" CSV file for given mandate.

Required permissions:

  • mandate.read

  • posting.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

csvStringstringrequired
quirksModebooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/import/datev
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/import/datev' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "csvString": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

postingsintegerrequired

minimum: 0

maximum: 9007199254740991

successstringrequired

Options:

nonepartialfull

Response

200
{
  "missingAccountNumbers": [
    1
  ],
  "missingCostCenters": [
    1
  ],
  "invalidBookingKeys": [
    "string"
  ],
  "invalidRows": [
    {
      "row": -9007199254740991,
      "cell": "string",
      "value": "string"
    }
  ],
  "postings": 0,
  "success": "none"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}